### Method

# WebKit WebExtension get_requested_permission_match_patterns

since: 2.52

#### Declaration [src]

    WebKitWebExtensionMatchPattern**
    webkit_web_extension_get_requested_permission_match_patterns (
      WebKitWebExtension* extension
    )

#### Description [src]

Get the set of websites that the extension requires access to for its base functionality.

Available since: 2.52

#### Return value

Type: An array of `None`

A `NULL`-terminated array of match patterns matching the required websites.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.